post
/public_api/v1/assets/override_bu_tags/
Request headers
authorization
String
required
api-key
api-key
Example:
{{api_key}}
x-xdr-auth-id
String
required
api-key-id
api-key-id
Example:
{{api_key_id}}
CLIENT REQUEST
curl -X 'POST'
-H
'Accept: application/json'
-H
'Content-Type: application/json'
-H
'authorization: {{api_key}}'
-H
'x-xdr-auth-id: {{api_key_id}}'
'https://api-}/public_api/v1/assets/override_bu_tags/'
-d
'{
"request_data" : {
"business_units" : [ "business_units", "business_units" ],
"filters" : [ {
"field" : "name",
"value" : "OverrideBusForAsmAssetsFilter_value",
"operator" : "in"
}, {
"field" : "name",
"value" : "OverrideBusForAsmAssetsFilter_value",
"operator" : "in"
} ],
"include_subdomains" : true
}
}'
import http.client
conn = http.client.HTTPSConnection("api-")
payload = "{\"request_data\":{\"filters\":[{\"field\":\"name\",\"operator\":\"in\",\"value\":\"string\"}],\"business_units\":[\"string\"],\"include_subdomains\":true}}"
headers = {
'authorization': "{{api_key}}",
'x-xdr-auth-id': "{{api_key_id}}",
'content-type': "application/json"
}
conn.request("POST", "%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["authorization"] = '{{api_key}}'
request["x-xdr-auth-id"] = '{{api_key_id}}'
request["content-type"] = 'application/json'
request.body = "{\"request_data\":{\"filters\":[{\"field\":\"name\",\"operator\":\"in\",\"value\":\"string\"}],\"business_units\":[\"string\"],\"include_subdomains\":true}}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"request_data": {
"filters": [
{
"field": "name",
"operator": "in",
"value": "string"
}
],
"business_units": [
"string"
],
"include_subdomains": true
}
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/");
xhr.setRequestHeader("authorization", "{{api_key}}");
xhr.setRequestHeader("x-xdr-auth-id", "{{api_key_id}}");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/")
.header("authorization", "{{api_key}}")
.header("x-xdr-auth-id", "{{api_key_id}}")
.header("content-type", "application/json")
.body("{\"request_data\":{\"filters\":[{\"field\":\"name\",\"operator\":\"in\",\"value\":\"string\"}],\"business_units\":[\"string\"],\"include_subdomains\":true}}")
.asString();import Foundation
let headers = [
"authorization": "{{api_key}}",
"x-xdr-auth-id": "{{api_key_id}}",
"content-type": "application/json"
]
let parameters = ["request_data": [
"filters": [
[
"field": "name",
"operator": "in",
"value": "string"
]
],
"business_units": ["string"],
"include_subdomains": true
]] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"request_data\":{\"filters\":[{\"field\":\"name\",\"operator\":\"in\",\"value\":\"string\"}],\"business_units\":[\"string\"],\"include_subdomains\":true}}",
CURLOPT_HTTPHEADER => [
"authorization: {{api_key}}",
"content-type: application/json",
"x-xdr-auth-id: {{api_key_id}}"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "authorization: {{api_key}}");
headers = curl_slist_append(headers, "x-xdr-auth-id: {{api_key_id}}");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"filters\":[{\"field\":\"name\",\"operator\":\"in\",\"value\":\"string\"}],\"business_units\":[\"string\"],\"include_subdomains\":true}}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/override_bu_tags/");
var request = new RestRequest(Method.POST);
request.AddHeader("authorization", "{{api_key}}");
request.AddHeader("x-xdr-auth-id", "{{api_key_id}}");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"request_data\":{\"filters\":[{\"field\":\"name\",\"operator\":\"in\",\"value\":\"string\"}],\"business_units\":[\"string\"],\"include_subdomains\":true}}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
request_dataobject
filtersarray
business_unitsarray[string]
include_subdomainsboolean
Free-Form object
application/json
request_dataobject
filtersarray
[fieldstring (Enum)
operatorstring (Enum)
valueobject
string
boolean
Free-Form object]
fieldstring (Enum)
Allowed values:"name""has_xdr_agent""ip_address""externally_detected_providers""type""has_active_external_services""mac_addresses""externally_inferred_cves""aws_cloud_tags""gcp_cloud_tags""azure_cloud_tags""tags""business_units_list""ipv6_address""has_bu_overrides""asm_id_list"
operatorstring (Enum)
Allowed values:"in""contains""neq""eq""not_contains"
valueobjectValue that the filter must match. The contents of this field will differ depending on the asset field that you specified for this filter:
- name: eq, neq - string
- type: in - list of strings
- has_xdr_agent: eq, neq - boolean
- ip_address: eq, neq - string
- ipv6_address: eq, neq - string
- externally_detected_providers: contains - string
- has_active_external_services: eq, neq - boolean
- mac_addresses: eq, neq - string
- externally_inferred_cves: contains, not_contains - string
- tags: contains, not_contains - list of strings
- business_units_list: contains, not_contains - list of strings in format BU: uuid
- has_bu_overrides: eq, neq - boolean
- asm_id_list: in - list of strings
Value that the filter must match. The contents of this field will differ depending on the asset field that you specified for this filter:
- name: eq, neq - string
- type: in - list of strings
- has_xdr_agent: eq, neq - boolean
- ip_address: eq, neq - string
- ipv6_address: eq, neq - string
- externally_detected_providers: contains - string
- has_active_external_services: eq, neq - boolean
- mac_addresses: eq, neq - string
- externally_inferred_cves: contains, not_contains - string
- tags: contains, not_contains - list of strings
- business_units_list: contains, not_contains - list of strings in format BU: uuid
- has_bu_overrides: eq, neq - boolean
- asm_id_list: in - list of strings
stringValue that the filter must match. The contents of this field will differ depending on the asset field that you specified for this filter:
- name: eq, neq - string
- type: in - list of strings
- has_xdr_agent: eq, neq - boolean
- ip_address: eq, neq - string
- ipv6_address: eq, neq - string
- externally_detected_providers: contains - string
- has_active_external_services: eq, neq - boolean
- mac_addresses: eq, neq - string
- externally_inferred_cves: contains, not_contains - string
- tags: contains, not_contains - list of strings
- business_units_list: contains, not_contains - list of strings in format BU: uuid
- has_bu_overrides: eq, neq - boolean
- asm_id_list: in - list of strings
Value that the filter must match. The contents of this field will differ depending on the asset field that you specified for this filter:
- name: eq, neq - string
- type: in - list of strings
- has_xdr_agent: eq, neq - boolean
- ip_address: eq, neq - string
- ipv6_address: eq, neq - string
- externally_detected_providers: contains - string
- has_active_external_services: eq, neq - boolean
- mac_addresses: eq, neq - string
- externally_inferred_cves: contains, not_contains - string
- tags: contains, not_contains - list of strings
- business_units_list: contains, not_contains - list of strings in format BU: uuid
- has_bu_overrides: eq, neq - boolean
- asm_id_list: in - list of strings
booleanValue that the filter must match. The contents of this field will differ depending on the asset field that you specified for this filter:
- name: eq, neq - string
- type: in - list of strings
- has_xdr_agent: eq, neq - boolean
- ip_address: eq, neq - string
- ipv6_address: eq, neq - string
- externally_detected_providers: contains - string
- has_active_external_services: eq, neq - boolean
- mac_addresses: eq, neq - string
- externally_inferred_cves: contains, not_contains - string
- tags: contains, not_contains - list of strings
- business_units_list: contains, not_contains - list of strings in format BU: uuid
- has_bu_overrides: eq, neq - boolean
- asm_id_list: in - list of strings
Value that the filter must match. The contents of this field will differ depending on the asset field that you specified for this filter:
- name: eq, neq - string
- type: in - list of strings
- has_xdr_agent: eq, neq - boolean
- ip_address: eq, neq - string
- ipv6_address: eq, neq - string
- externally_detected_providers: contains - string
- has_active_external_services: eq, neq - boolean
- mac_addresses: eq, neq - string
- externally_inferred_cves: contains, not_contains - string
- tags: contains, not_contains - list of strings
- business_units_list: contains, not_contains - list of strings in format BU: uuid
- has_bu_overrides: eq, neq - boolean
- asm_id_list: in - list of strings
Array
business_unitsarray[string]List of strings in format BU: uuid.
List of strings in format BU: uuid.
include_subdomainsbooleanIndicates whether these tags should propagate to subdomains.
Indicates whether these tags should propagate to subdomains.
REQUEST
{
"request_data": {
"filters": [
{
"field": "name",
"operator": "in",
"value": "example"
}
],
"business_units": [
"example"
],
"include_subdomains": false
}
}Responses